%global dlrn_nvr ansible-collections-openstack.cloud-1.8.0-2.20220513065417.5bb8312
%global dlrn 1
%define upstream_version 1.8.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?dlrn}
%define upstream_name ansible-collections-openstack.cloud
%else
%define upstream_name ansible-collections-openstack
%endif

Name:           ansible-collections-openstack
Version: 1.8.0
Release: 2.20220513065417.5bb8312%{?dist}
Summary:        Openstack Ansible collections
License:        GPLv3+
URL:            https://opendev.org/openstack/ansible-collections-openstack
Source0: ansible-collections-openstack.cloud-1.8.0-2.20220513065417.5bb8312.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=5bb83121719413aa061669265c2e630c4b401ad5

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr

Requires:       ansible >= 2.8.0
Requires:       python%{pyver}-openstacksdk >= 0.12.0

%description
Openstack Ansible collections

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

%build
%{pyver_build}

%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}

%files

%doc README.md
%license COPYING
%{pyver_sitelib}/ansible_collections_openstack.cloud-*.egg-info
%{_datadir}/ansible/collections/ansible_collections/openstack/cloud/

%changelog
* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-2.20220513065417.5bb8312
- Update patches

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.0-2.20220512145303.5bb8312
- Update patches
- Use proxy layer in identity_user module
- Added description to RETURN doc of identity_user_info module
- Use proxy layer in identity_user_info
- Removed job definitions for stable/1.0.0 branch
- Fixed return type of identity_role module
- Update identity_role to work with latest sdk
- Fixed return values in compute_service_info module again
- Fixed return value disable{d,s}_reason in compute_service_info module
- Temporarily run passing tests in our Zuul CI jobs only
- Changed our Zuul CI *-octavia job to non-voting
- Restricted galaxy-importer script to Python 3.6+
- Constrain filters in compute_service_info to SDK >= 0.53.0
- Removed object tags from ci role server
- Added support for specifying a maximum version of the OpenStack SDK
- Use Rocky release of Heat in Queens job
- Move dns zone info to use proxy layer
- Follow up to bump of minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Renamed image property protected to is_protected
- Support description in sg-rule creation
- Dropped broken linter job openstack-tox-linters-ansible-2.9
- Temporarily set job openstack-tox-linters-ansible-2.9 to non-voting
- Drop username from return values of identity_user_info
- Release 1.8.0 version
- Fix logic in routers_info
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer
- Updated return value docs of compute_service_info module
- Updated return value docs of compute_service_info module
- Synchronized Zuul CI configuration across all branches
- Run tripleo*{train,wallaby}-osa jobs on stable/1.0.0 branch only
- Dropped inherited variable tox_install_siblings
- Dropped redundant job *-new_sdk
- Run *-releases job on master branch only
- Fixed python packages in tox virtualenvs
- Run *-octavia job on master branch only
- Disable jobs against master branch of OpenStack SDK on stable/1.0.0 branch
- Fixed python packages in tox virtualenvs
- Added warning about the upcoming release and its breaking changes
- Bump devel version to 2.0.0-dev in master
- Release 1.7.2 version
- Revert changes to Zuul config which accidentally got merged from stable branch
- Fix inventory plugin doc for new ansible
- Add support for system role in role assignment
- [LB] Add support for setting monitor_address

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220506065331.fd1b9fc
- Update patches
- Use proxy layer in identity_user module
- Added description to RETURN doc of identity_user_info module
- Use proxy layer in identity_user_info

* Thu May 05 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220505065320.c83e0e3
- Update patches
- Removed job definitions for stable/1.0.0 branch
- Fixed return type of identity_role module

* Wed May 04 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220504064845.cc1b5ec
- Update patches
- Update identity_role to work with latest sdk
- Fixed return values in compute_service_info module again

* Tue May 03 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220503071510.cf5007d
- Update patches
- Fixed return value disable{d,s}_reason in compute_service_info module

* Fri Apr 29 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220429070045.c10cc9d
- Update patches
- Temporarily run passing tests in our Zuul CI jobs only
- Changed our Zuul CI *-octavia job to non-voting
- Restricted galaxy-importer script to Python 3.6+

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220428073800.e85a0b8
- Update patches
- Constrain filters in compute_service_info to SDK >= 0.53.0
- Removed object tags from ci role server
- Added support for specifying a maximum version of the OpenStack SDK

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220427080409.e869564
- Update patches
- Use Rocky release of Heat in Queens job
- Move dns zone info to use proxy layer

* Sat Apr 23 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220423065541.5a43bdb
- Update patches
- Follow up to bump of minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Renamed image property protected to is_protected

* Fri Apr 22 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220422065615.ecf4897
- Update patches
- Support description in sg-rule creation

* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220421065027.f09cccd
- Update patches
- Dropped broken linter job openstack-tox-linters-ansible-2.9
- Temporarily set job openstack-tox-linters-ansible-2.9 to non-voting

* Thu Apr 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220414065042.5fc8fca
- Update patches
- Drop username from return values of identity_user_info

* Wed Apr 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220413065512.411c2dd
- Update patches
- Fix logic in routers_info

* Thu Apr 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220407065831.41ad425
- Update patches
- Dropped deprecated return values in floating_ip_info and assert remaining fields
- Changed compute_flavor_info module to use OpenStack SDK's proxy layer

* Tue Apr 05 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220405065414.ffa826c
- Update patches
- Updated return value docs of compute_service_info module
- Fixed Ansible branch in base job openstack-tox-linters-ansible

* Sun Apr 03 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220403225603.453601b
- Update patches
- Add subnet pool module
- Add 'all_projects' to server_action module
- Refactored tox requirements for different Ansible releases

* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220331173407.b376e3e
- Update patches
- Fix ansible-lint issues for newest version
- Reenabled check-import.sh which tests imports to Ansible Galaxy
- Added job variants for stable/1.0.0 branch to Zuul CI config
- Set Zuul CI job for OpenStack Train to voting

* Wed Mar 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220330195348.19b05f6
- Update patches
- Fixed job hierarchy for Zuul CI

* Sat Mar 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220326065317.d44915c
- Update patches
- Synchronized galaxy.yml and galaxy.yml.in files
- Fixed branch matching for parent jobs when on stable/1.0.0 branch

* Fri Mar 25 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220325095033.771fb68
- Update patches
- Run jobs for older OpenStack releases on stable/1.0.0 branch only
- Fixed job hierarchy in Zuul CI configuration
- Changed jobs against master branch of OpenStack SDK to non-voting
- Synchronized Zuul CI configuration across all branches

* Wed Mar 23 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220323064906.e28ab9a
- Update patches
- Dropped redundant job *-new_sdk

* Tue Mar 22 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220322065237.cc604d3
- Update patches
- Fixed python packages in tox virtualenvs
- Bump devel version to 2.0.0-dev in master

* Sun Mar 20 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220320065259.aae539a
- Update patches
- Remove old,  unsupported parameters from documentation in image_info module
- Handle aggregate host list set to None

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-2.20220316065249.a162a02
- Update patches
- Added warning about the upcoming release and its breaking changes
- Fix assertion after stack deletion
- Bumped minimum required OpenStack SDK release to SDK 0.36.0 (Train)
- Revert changes to Zuul config which accidentally got merged from stable branch
- Fix docs for openstack fragment
- Release 1.7.1 version
- Remove new SDK job from stable/1.0.0 CI
- [LB] Add support for setting monitor_address
- Fix inventory plugin doc for new ansible
- Router: Remove unneeded 'filter' parameter
- [LB] Add support for setting monitor_address
- Run jobs on stable branch

* Thu Mar 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-2.20220310071208.08bbade
- Update patches
- Fix inventory plugin doc for new ansible
- Add support for system role in role assignment

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-2.20220217064849.ba9aa99
- Update patches
- Fix os_quota docs

* Wed Feb 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-2.20220216065019.617e8fb
- Update patches
- Release 1.7.0 version
- Add CentOS 9 wallaby and master
- Add CentOS 9 tripleo job

* Mon Feb 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220214064836.9c28af7
- Update patches
- Adds use_name variable

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220211065231.7aa6263
- Update patches
- Remove project properties tests and support
- Add openstack.cloud.baremetal_port module

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220210065157.a1b9207
- Update patches
- Add openstack.cloud.baremetal_port_info module
- Add openstack.cloud.baremetal_node_info

* Wed Feb 09 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220209065234.bdf472a
- Update patches
- Move identity domain to use proxy layer

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220201065236.b7fb23b
- Update patches
- Add zuul artifact

* Fri Jan 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220128065222.6ed02ef
- Update patches
- Write tests log to a separate file

* Thu Jan 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220127065242.cb396cf
- Update patches
- Add dns_[name,domain] to the port module

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220126065315.6569e07
- Update patches
- Add new SDK job non-voting
- Fix CI for new openstack SDK

* Thu Jan 20 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-2.20220120064843.5e2ab3d
- Update patches
- Fix identity user lookup with a domain

* Thu Jan 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.0-2.20220113174955.f3b12fe
- Update patches
- Release 1.6.0 version

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.4-2.20220112184937.39a627d
- Update patches
- Add compute services list module
- Add Neutron RBAC modules

* Sun Dec 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.4-2.20211219124942.26530ac
- Update patches
- Leave queens job only in experimental
- quota: Adds metadata_items parameter

* Sat Dec 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.4-2.20211218064851.1582956
- Update patches
- Remove failing job from gate
- Replace victoria job by xena one
- Move queens job to experimental

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.3-2.20211112150431.15f73aa
- Update patches
- Release 1.5.3 version with bugfixes
- server_volume: check specified server is found
- Don't require allowed_address_pairs for port
- Release 1.5.2 version

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20211108124406.11c7cd2
- Update patches
- Fix issue with same host and group names
- Flavor properties are not deleted on changes and id will stay

* Wed Oct 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20211027064958.014665d
- Update patches
- Add documentation links to README.md

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20211006064810.ecaff2a
- Update patches
- Clean up the old jobs for rocky,stein,queens
- Move CI to use Ansible 2.12 version as main
- Add client and member listener timeouts for persistence (Ex. SSH)

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210922064831.011515d
- Update patches
- Added missing warn() used in cloud.openstack.quota

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210903074828.bbefa8c
- Update patches
- Don't run functional jobs on galaxy.yml change
- Release 1.5.1 version

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210817064812.ae4e7f3
- Update patches
- Remove tests directory from ansible-tests
- Add support check mode for all info modules

* Thu Aug 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210812064809.770b283
- Update patches
- Reenable octavia job to vote

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210810064806.42921c6
- Update patches
- Changed minversion in tox to 3.18.0
- Allow to attach multiple floating ips to a server

* Fri Aug 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210806064810.0e370b2
- Update patches
- Only add or remove router interfaces when needed

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210804064807.0441403
- Update patches
- Run ansible devel sanity tests on py38

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.2-2.20210803085408.4160888
- Update patches
- Reenable ansible 2.11 linters job

* Fri Jul 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210730064811.07374a1
- Update patches
- Add mandatory requires_ansible version to metadata
- Remove semver check from release job

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210729064812.441a61f
- Update patches
- Change the pipeline of releasing to tag pipeline
- Add automatic release job triggered by tag
- Wait for pool to be active and online

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210727170401.938b90e
- Update patches
- Add protocol listener octavia

* Tue Jun 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210629054810.ce853a8
- Update patches

* Fri Jun 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210625064811.ce853a8
- Update patches
- Add missing info to changelog
- Update IRC server in README

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210624091420.b839f9e
- Update patches

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210624085527.b839f9e
- Update patches

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210624064808.b839f9e
- Update patches
- Bump to devel 1.5.1-dev version
- Release 1.5.0 version
- fix update on empty list of allowed address pairs
- Only apply necessary changes to subnets
- Add address scope module

* Wed Jun 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210623064810.a89ec02
- Update patches
- Switch hostaggregate module to OpenStackModule
- Switch ProjectAccess module to OpenStackModule
- Switch Quota module to OpenStackModule
- Switch identity_role module to OpenStackModule
- Switch user_info module to OpenStackModule
- Switch Snapshot module to OpenStackModule
- Switch role_assignment module to OpenStackModule

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210618064806.4ee8621
- Update patches
- Dns zone info module
- Add check_mode attribute to OpenstackModule
- Switch group_assignment module to OpenStackModule
- Switch KeystoneFederationProtocolInfo module to OpenStackModule
- Switch catalog_service module to OpenStackModule
- Switch federation_idp_info module to OpenStackModule
- Switch federation_mapping module to OpenStackModule
- Switch federation_mapping_info module to OpenStackModule
- Switch floating_ip module to OpenStackModule
- Switch lb_listener module to OpenStackModule
- Switch lb_member module to OpenStackModule
- Switch lb_pool module to OpenStackModule
- Switch port_info module to OpenStackModule

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210617064808.4171ee5
- Update patches
- Switch Stack module to OpenStackModule
- Switch Recordset module to OpenStackModule
- Switch ServerGroup module to OpenStackModule
- Switch auth module to OpenStackModule
- Switch coe_cluster_template module to OpenStackModule
- Switch flavor module to OpenStackModule
- Switch flavor_info module to OpenStackModule
- Switch endpoint module to OpenStackModule
- Switch identity_domain_info module to OpenStackModule
- Switch identity_user module to OpenStackModule

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210616064810.74c18f3
- Update patches
- Floating ip info module
- Switch identity_domain module to OpenStackModule
- Switch federation_idp module to OpenStackModule
- Switch federation_protocol module to OpenStackModule
- Switch identity_group module to OpenStackModule
- Switch port module to OpenStackModule
- Switch ServerMetadata module to OpenStackModule
- Switch coe_cluster module to OpenStackModule
- Switch identity_group_info module to OpenStackModule
- Switch object module to OpenStackModule

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210608074808.4a1b092
- Update patches
- Update checks for validate_certs in openstack_cloud_from_module
- Fix host_aggregate to tolerate aggregate.hosts being None
- Fail if referenced source image for a new volume does not exist

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210527220848.d4033b4
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210527074823.d4033b4
- Update patches
- Remove pip job
- Fix inventory plugin on Ansible 2.11
- Make tripleo master job voting
- Add bindep.txt for ansible-builder

* Wed May 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210519064815.6b3bf3b
- Update patches
- Add support to setting image tags

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210513044809.daaa6bf
- Update patches
- Switch project and project_info module to OpenStackModule

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210512064810.2027eb1
- Update patches
- Add non-voting train TripleO jobs
- Configure only one tripleo job

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210507064809.a10be98
- Update patches
- Add TripleO job on collections used in TripleO

* Wed May 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210505054802.6787924
- Update patches
- Fix the idempotent of compute_flavor module

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20210430064805.d1d6b4d
- Update patches
- Remove CI jobs for rocky and stein branches from check
- setup.cfg: Replace dashes with underscores
- Migrating image module from AnsibleModule to OpenStackModule

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-.20210421074906.8da4e85
- Update patches
- Add wallaby job to CI

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-1
- Update patches
- Bump to dev version
- Release 1.4.0 version
- Container module for management Swift containers
- Prepare for Ansible 2.11 tests

* Thu Apr 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add execution environment metadata
- Fix issues with newest ansible-test 2.11

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix CI for latest ansible-test with no_log

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- security_group_rule: add support ipv6-icmp

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add binding profile to port module

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add option to exclude legacy groups

* Mon Feb 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Mark 2.9 ansible-test sanity as non-voting"
- Add Octavia job for testing Load Balancer

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump dev version in galaxy.yml

* Sun Feb 07 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add modules for roles information
- Add security_group_info module

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add security_group_rule_info module

* Thu Jan 28 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New keypair_info module
- Fix setting custom property on os_project
- Fixed check for None in os_port

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add stack_info module

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove protocols choice in security rules

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix volume_info result for SDK < 0.19

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added shelve and unshelve as new server actions
- Update recordset docu

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for new features

* Mon Jan 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Jan 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dev tag for collection install
- Release 1.2.1 version of Openstack Ansible modules
- Decrease MTU in networks tests

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable update for recordset and add tests for dns and recordset module

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrating subnet module from AnsibleModule to OpenStackModule
- Аdd designate to install with devstack
- Add network tests for versioned args
- Separate volume tests from servers tests
- Run images tests
- Migrating network from AnsibleModule to OpenStackModule
- Migrating dns_zone from AnsibleModule to OpenStackModule
- Migrating server_volume from AnsibleModule to OpenStackModule
- Migrating routers from AnsibleModule to OpenStackModule
- Migrating security_group from AnsibleModule to OpenStackModule
- Fix branchful jobs for collections
- Fix docs-args mismatch in modules
- Migrating volume from AnsibleModule to OpenStackModule
- Improve "server" module with OpenstackModule class

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrating subnets_info from AnsibleModule to OpenStackModule
- Migrating networks_info from AnsibleModule to OpenStackModule

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor TCP/UDP port check.
- Refactor loadbalancer module

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tests for volume_info module
- Fix subnets update and idempotency
- Fix volume_info arguments for SDK 0.19

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Ansible devel jobs

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add victoria stable branch job
- Move CI jobs to base on Ansible 2.10 release

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added deprecated_names for router_info module

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrating routers_info from AnsibleModule to OpenStackModule

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not fail when endpoint state is absent

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor ironic authentication into a new module_utils module

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- OpenStackModule: Support defining a minimum version of the SDK

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add galaxy.yml to support install from git

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate bifrost jobs to focal

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add changelog for 1.2.0

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add volume_snapshot_info module
- Add volume_backup_info module
- Add volume_backup module
- Make it possible to create a health monitor to a pool

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix linters for new ansible release

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


